Table of Contents

## Name

gluLookAt - define a viewing transformation

## C Specification

void gluLookAt( GLdouble eyeX,

        GLdouble eyeY,
        GLdouble eyeZ,
        GLdouble centerX,
        GLdouble centerY,
        GLdouble centerZ,
        GLdouble upX,
        GLdouble upY,
        GLdouble upZ )

eqn not supported

## Parameters

eyeX, eyeY, eyeZ
  Specifies the position of the eye point.
centerX, centerY, centerZ
  Specifies the position of the reference point.
upX, upY, upZ
  Specifies the direction of the up vector.

## Description

gluLookAt creates a viewing matrix derived from an eye point, a reference point indicating the center of the scene, and an UP vector.

The matrix maps the reference point to the negative z axis and the eye point to the origin. When a typical projection matrix is used, the center of the scene therefore maps to the center of the viewport. Similarly, the direction described by the UP vector projected onto the viewing plane is mapped to the positive y axis so that it points upward in the viewport. The UP vector must not be parallel to the line of sight from the eye point to the reference point.

Let

eqn not supported

Let UP be the vector $("upX", "upY", "upZ")$.

Then normalize as follows: eqn not supported

eqn not supported

Finally, let $s ~=~ f ~times~ UP sup prime$, and $u ~=~ s ~times~ f$.

M is then constructed as follows: eqn not supported

and gluLookAt is equivalent to glMultMatrixf(M); glTranslated (-eyex, -eyey, -eyez);

## See Also

glFrustum(3G) , gluPerspective(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- See Also